/* (C) 2022 YiRing, Inc. */
package com.yiring.auth.service.user;

import com.yiring.auth.param.user.UserByNameParam;
import com.yiring.auth.vo.user.UserAutoVo;
import com.yiring.common.core.Result;
import com.yiring.common.vo.PageVo;

/**
 * 用户
 * @author LJ-2204
 * @date 2022/4/20
 */
public interface UserService {
    /**
     * 通过用户名查询
     * @param param UserByNameParam
     * @return Result<PageVo<UserAutoVo>>
     */
    Result<PageVo<UserAutoVo>> findUserByName(UserByNameParam param);
}
