/* (C) 2022 YiRing, Inc. */
package com.yiring.auth.service.user.impl;

import com.yiring.auth.domain.user.UserRepository;
import com.yiring.auth.param.user.UserByNameParam;
import com.yiring.auth.service.user.UserService;
import com.yiring.auth.vo.user.UserAutoVo;
import com.yiring.common.core.Result;
import com.yiring.common.vo.PageVo;
import javax.annotation.Resource;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 用户
 * @author LJ-2204
 * @date 2022/4/20
 */

@Transactional(rollbackFor = RuntimeException.class)
@Service
@Slf4j
public class UserServiceImpl implements UserService {

    @Resource
    UserRepository userRepository;

    @Override
    public Result<PageVo<UserAutoVo>> findUserByName(UserByNameParam param) {
        return null;
    }
}
